CREATE TABLE CUENTA(
CUENTA# NUMBER DEFAULT 0 NOT NULL,
SALDO NUMBER DEFAULT 0 NOT NULL,
primary KEY (CUENTA#));

CREATE TABLE PRESTAMO(
PRESTAMO# NUMBER DEFAULT 0 NOT NULL,
CUENTA# NUMBER DEFAULT 0 NOT NULL,
CAPITAL NUMBER DEFAULT 0 NOT NULL,
CAPITAL_PENDIENTE NUMBER DEFAULT 0 NOT NULL,
INTERES NUMBER(6,3) DEFAULT 0 NOT NULL,
IMPORTE_LETRA NUMBER DEFAULT 0 NOT NULL,
NUM_LETRAS NUMBER(5) DEFAULT 0 NOT NULL,
LETRAS_PENDIENTES NUMBER(5) DEFAULT 0 NOT NULL,
constraint prestamo_pk PRIMARY KEY ("PRESTAMO#"),
constraint prestamo_fk FOREIGN KEY ( "CUENTA#" ) REFERENCES CUENTA ON DELETE CASCADE ,
CHECK (CAPITAL>0 AND CAPITAL_PENDIENTE>=0 AND CAPITAL>=CAPITAL_PENDIENTE) );

CREATE TABLE LETRAS_PRESTAMO(
PRESTAMO# NUMBER DEFAULT 0 NOT NULL,
LETRA# NUMBER(5) DEFAULT 0 NOT NULL,
CAPITAL_AMORTIZADO NUMBER DEFAULT 0 NOT NULL,
PRIMARY KEY (PRESTAMO#,LETRA#),
FOREIGN KEY (PRESTAMO#) REFERENCES PRESTAMO
    ON DELETE CASCADE    
);
