CREATE TABLE "ALUMNO1"."TABLA_IMPOSITIVA" ( 
"BASE_HASTA" NUMBER DEFAULT 0 , 
"CUOTA" NUMBER DEFAULT 0 , 
"RESTO_HASTA" NUMBER DEFAULT 0 , 
"TIPO_APLICABLE" NUMBER(4, 1) DEFAULT 0 )

insert into tabla_impositiva values(0,0,430000,0);
insert into tabla_impositiva values(430000,0,642000,20);
insert into tabla_impositiva values(1072000,128400,610000,22);
insert into tabla_impositiva values(1682000,262600,610000,24.5);
insert into tabla_impositiva values(2292000,412050,610000,27);
insert into tabla_impositiva values(2902000,576750,610000,30);
insert into tabla_impositiva values(3512000,759750,610000,32);
insert into tabla_impositiva values(4122000,954950,610000,34);
insert into tabla_impositiva values(4732000,1162350,610000,36);
insert into tabla_impositiva values(5342000,1381950,610000,38);
insert into tabla_impositiva values(5952000,1613750,610000,40);
insert into tabla_impositiva values(6562000,1857750,610000,42.5);
insert into tabla_impositiva values(6562000,1857750,610000,42.5);
insert into tabla_impositiva values(7172000,2117000,610000,45);
insert into tabla_impositiva values(7782000,2391500,610000,47);
insert into tabla_impositiva values(8392000,2678200,610000,51);
insert into tabla_impositiva values(9612000,3288200,610000,53.5);
insert into tabla_impositiva values(10222000,3614550,0,56);



-- Si no existiera el campo Resto_hasta 
CREATE OR REPLACE PROCEDURE cuota_integra(bl NUMBER) IS
reg tabla_impositiva%ROWTYPE;  
reg_ant tabla_impositiva%ROWTYPE;  
result NUMBER; 
CURSOR c1 IS SELECT * FROM tabla_impositiva ORDER BY base_hasta ASC;  
BEGIN  
OPEN c1;  
LOOP  
FETCH c1 INTO reg;  
IF (reg.base_hasta>bl or c1%NOTFOUND) THEN  
DBMS_OUTPUT.PUT_LINE(reg_ant.cuota || ' + ( ' ||  bl || '-' || reg_ant.base_hasta  || ') * ' || reg_ant.tipo_aplicable|| '/100');
result:= reg_ant.cuota + (bl - reg_ant.base_hasta) * reg_ant.tipo_aplicable/100; 
DBMS_OUTPUT.PUT_LINE(result);  
EXIT;  
END IF;  
reg_ant:=reg;  
END LOOP;  
CLOSE c1;  
END cuota_integra;


CREATE OR REPLACE PROCEDURE cuota_integra2 (bl NUMBER) IS 
resultado NUMBER; 
BEGIN 
select cuota + (bl-base_hasta) * tipo_aplicable/100 into resultado from tabla_impositiva where bl between base_hasta and base_hasta+resto_hasta; 
DBMS_OUTPUT.PUT_LINE('Cuota Integra para Base Liquidable ' || bl || ' = ' || resultado); 
EXCEPTION 
WHEN OTHERS THEN 
select cuota + (bl-base_hasta) * tipo_aplicable/100 into resultado from tabla_impositiva where base_hasta=(select MAX(base_hasta) from tabla_impositiva); 
DBMS_OUTPUT.PUT_LINE('Cuota Integra para Base Liquidable ' || bl || ' = ' || resultado); 
END cuota_integra2; 
