CREATE OR REPLACE TRIGGER "ALUMNO1".SALARIO_JEFE BEFORE
INSERT
OR UPDATE ON "ALUMNO1"."EMP" REFERENCING OLD AS OLD NEW AS NEW FOR EACH ROW DECLARE
salario_jefe NUMBER;
BEGIN
SELECT sal INTO salario_jefe FROM emp WHERE empno = :NEW.jefeno;
IF (salario_jefe < :NEW.sal) THEN
    DBMS_OUTPUT.PUT_LINE('Error:Salario de jefe ('|| salario_jefe ||') menor que el de subordinado('|| :NEW.sal ||').');
    RAISE_APPLICATION_ERROR( -20001, 'Salario de jefe menor que subordinado' );
END IF;
END;

